package com.engine.salary.mapper.report;

import com.engine.salary.report.entity.po.SalaryStatisticsEChartsSettingPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalaryStatisticsEChartsSettingMapper {
    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsEChartsSettingPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsEChartsSettingPO> listSome(SalaryStatisticsEChartsSettingPO SalaryStatisticsEChartsSettingPO);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryStatisticsEChartsSettingPO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param SalaryStatisticsEChartsSettingPO 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryStatisticsEChartsSettingPO SalaryStatisticsEChartsSettingPO);

    /**
     * 修改，修改所有字段
     *
     * @param SalaryStatisticsEChartsSettingPO 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryStatisticsEChartsSettingPO SalaryStatisticsEChartsSettingPO);

    /**
     * 修改，忽略null字段
     *
     * @param SalaryStatisticsEChartsSettingPO 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryStatisticsEChartsSettingPO SalaryStatisticsEChartsSettingPO);

    /**
     * 删除记录
     *
     * @param SalaryStatisticsEChartsSettingPO 待删除的记录
     * @return 返回影响行数
     */
    int delete(SalaryStatisticsEChartsSettingPO SalaryStatisticsEChartsSettingPO);

    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

    void deleteByReportId(Long reportId);
}
